version: "3.9"
services:
  runkey-editor:
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-runkey/ui:2.0.2
    container_name: runkey-editor
    restart: unless-stopped
    ports:
      - 5002:80
    extra_hosts:
      - host.docker.internal:host-gateway
    environment:
      - ETCD_HOST=${HOST}
      - ETCD_PORT=2379
      - ETCD_NAMESPACE=demi
      - API_URL_KEY=demi/${STACK}/itk-demo-configdb/api/url
    labels:
      - demi.${STACK}.itk-demo-configdb.runkey-ui.host=${HOST}
      - demi.${STACK}.itk-demo-configdb.runkey-ui.category=Microservice-UI
      - demi.${STACK}.itk-demo-configdb.runkey-ui.description=UI of the ConfigDB
      - demi.${STACK}.itk-demo-configdb.runkey-ui.protocol=http
networks:
  default:
    name: deminet
    external: true
